<?xml version="1.0"?> 

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">


<html>
	<head>
		<link href="../shared/common.css" media="screen" rel="stylesheet" type="text/css"/>
	</head>
	
	<body>
		<table>
			<tr>
				<th class="title" colspan="3">Start position</th>
			</tr>
			<tr>
				<th>Level</th>
				<th>pos x</th>
				<th>pos y</th>
			</tr>
			<tr>
				<td><xsl:value-of select='/gamestart/level'/></td>
				<td><xsl:value-of select='/gamestart/position/x'/></td>
				<td><xsl:value-of select='/gamestart/position/y'/></td>
			</tr>
		</table>
		

		
		<table class="map">
			<tr>
				<th class="title" colspan="2">Characters</th>
			</tr>
			<tr>
				<th>ID</th>
				<th>lvl</th>
			</tr>
				<xsl:for-each select="/gamestart/characters/charracter">
					<xsl:sort select="@id" data-type="number" order="ascending"/>
					
					<tr>
						<td><xsl:value-of select='id'/></td>
						<td><xsl:value-of select='lvl'/></td>
					</tr>

				</xsl:for-each>
		</table>
		
		<div class="code">
			<p class="cell">
				b<xsl:value-of select='gamestart/level'/>;
				b<xsl:value-of select='gamestart/position/x'/>;
				b<xsl:value-of select='gamestart/position/y'/>;
			</p>
			
			<p class="init">
				b<xsl:value-of select='gamestart/characters/amount'/>;
			</p>
			
			<xsl:for-each select="/gamestart/characters/charracter">
				<p class="cell">
					b<xsl:value-of select='id'/>;
					b<xsl:value-of select='lvl'/>;
				</p>
			</xsl:for-each>
			
		</div>


	</body>
</html>
	
	
</xsl:template>
</xsl:stylesheet>