<?xml version="1.0"?> 

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
template: "sprite-map"

Parameters:
graphic: The node that includes the graphic information

-->

<xsl:template name="boolean">
	<xsl:param name="data" select="false"/>
	
	<xsl:choose>
		<xsl:when test="$data = 'true'"><xsl:text>1</xsl:text></xsl:when>
		<xsl:when test="$data = 'false'"><xsl:text>0</xsl:text></xsl:when>
		<xsl:otherwise><span class="warning">Unrecognised string! "<xsl:value-of select="$data"/>"</span></xsl:otherwise>
	</xsl:choose>

</xsl:template>

<xsl:template name="direction">
	<xsl:param name="data" select="none"/>
	
	<xsl:choose>
		<xsl:when test="$data = 'up'"><xsl:text>0</xsl:text></xsl:when>
		<xsl:when test="$data = 'right'"><xsl:text>1</xsl:text></xsl:when>
		<xsl:when test="$data = 'down'"><xsl:text>2</xsl:text></xsl:when>
		<xsl:when test="$data = 'left'"><xsl:text>3</xsl:text></xsl:when>
		<xsl:when test="$data = 'none'"><xsl:text>4</xsl:text></xsl:when>
		<xsl:otherwise><span class="warning">Unrecognised string!</span></xsl:otherwise>
	</xsl:choose>

</xsl:template>

<xsl:template name="chance_type">
	<xsl:param name="data" select="none"/>
	
	<xsl:choose>
		<xsl:when test="$data = 'normal'"><xsl:text>0</xsl:text></xsl:when>
		<xsl:when test="$data = 'always'"><xsl:text>1</xsl:text></xsl:when>
		<xsl:otherwise><span class="warning">Unrecognised chance type!</span></xsl:otherwise>
	</xsl:choose>

</xsl:template>


</xsl:stylesheet>