<?xml version="1.0"?> 

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">


<html>
	<head>
		<link href="../shared/common.css" media="screen" rel="stylesheet" type="text/css"/>
	</head>
	

	<body>
		<table id="strings">
			<tr>
				<th class="title" colspan="2">Strings</th>
			</tr>
			
			<tr>
				<th>ID</th>
				<th>Text</th>
			</tr>
			
			<xsl:for-each select="/strings/string">
				<tr>
					<td><xsl:number value="position()-1"/></td>
					<td><xsl:value-of select='node()'/></td>
				</tr>
			</xsl:for-each>
		</table>

		
		<div class="code">
			<p class="init">b<xsl:value-of select='count(/strings/string)'/>;</p>
			<xsl:for-each select="/strings/string">
				<p class="row">_<xsl:value-of select='node()'/>/;</p>
			</xsl:for-each>
		</div>
	</body>
</html>
	
	
</xsl:template>
</xsl:stylesheet>